# Errors

Errors consist of two parts: an error code and a message. Codes are universal, but messages can vary. Here is the error JSON payload:

```
{
  "code":-1121,
  "msg":"Invalid symbol."
}
```

### 10xx - General Server or Network issues <a href="#id-10xx-general-server-or-network-issues" id="id-10xx-general-server-or-network-issues"></a>

#### -1000 UNKNOWN <a href="#id-1000-unknown" id="id-1000-unknown"></a>

* An unknown error occured while processing the request.

#### -1001 DISCONNECTED <a href="#id-1001-disconnected" id="id-1001-disconnected"></a>

* Internal error; unable to process your request. Please try again.

#### -1002 UNAUTHORIZED <a href="#id-1002-unauthorized" id="id-1002-unauthorized"></a>

* You are not authorized to execute this request. Request need API Key included in . We suggest that API Key be included in any request.

#### -1003 TOO\_MANY\_REQUESTS <a href="#id-1003-too_many_requests" id="id-1003-too_many_requests"></a>

* Requests exceed the limit too frequently.

#### -1004 NO\_THIS\_COMPANY <a href="#id-1004-no_this_company" id="id-1004-no_this_company"></a>

* You are not authorized to execute this request. User not exit Company

#### -1006 UNEXPECTED\_RESP <a href="#id-1006-unexpected_resp" id="id-1006-unexpected_resp"></a>

* An unexpected response was received from the message bus. Execution status unknown. OPEN API server find some exception in execute request .Please report to Customer service.

#### -1007 TIMEOUT <a href="#id-1007-timeout" id="id-1007-timeout"></a>

* Timeout waiting for response from backend server. Send status unknown; execution status unknown.

#### -1014 UNKNOWN\_ORDER\_COMPOSITION <a href="#id-1014-unknown_order_composition" id="id-1014-unknown_order_composition"></a>

* Unsupported order combination.

#### -1015 TOO\_MANY\_ORDERS <a href="#id-1015-too_many_orders" id="id-1015-too_many_orders"></a>

* Too many new orders.

#### -1016 SERVICE\_SHUTTING\_DOWN <a href="#id-1016-service_shutting_down" id="id-1016-service_shutting_down"></a>

* This service is no longer available.

#### -1017 ILLEGAL\_CONTENT\_TYPE <a href="#id-1017-illegal_content_type" id="id-1017-illegal_content_type"></a>

* We recommend attaching Content-Type to all request headers and setting it to application/json

#### -1020 UNSUPPORTED\_OPERATION <a href="#id-1020-unsupported_operation" id="id-1020-unsupported_operation"></a>

* This operation is not supported.

#### -1021 INVALID\_TIMESTAMP <a href="#id-1021-invalid_timestamp" id="id-1021-invalid_timestamp"></a>

* Timestamp for this request is outside of the recvWindow.
* Timestamp for this request was 1000ms ahead of the server's time.
* Please check the difference between your local time and server time .

#### -1022 INVALID\_SIGNATURE <a href="#id-1022-invalid_signature" id="id-1022-invalid_signature"></a>

* Signature for this request is not valid.

#### -1023 UNTIMESTAMP <a href="#id-1023-untimestamp" id="id-1023-untimestamp"></a>

* You are not authorized to execute this request, we recommend that you add X-CH-TS to all request headers

#### -1024 UNSIGNATURE <a href="#id-1024-unsignature" id="id-1024-unsignature"></a>

* You are not authorized to execute this request, we recommend that you add X-CH-SIGN to the request header

### 11xx - Request issues <a href="#id-11xx-request-issues" id="id-11xx-request-issues"></a>

#### -1100 ILLEGAL\_CHARS <a href="#id-1100-illegal_chars" id="id-1100-illegal_chars"></a>

* Illegal characters found in a parameter.

#### -1101 TOO\_MANY\_PARAMETERS <a href="#id-1101-too_many_parameters" id="id-1101-too_many_parameters"></a>

* Too many parameters sent for this endpoint.

#### -1102 MANDATORY\_PARAM\_EMPTY\_OR\_MALFORMED <a href="#id-1102-mandatory_param_empty_or_malformed" id="id-1102-mandatory_param_empty_or_malformed"></a>

* A mandatory parameter was not sent, was empty/null, or malformed.
* Mandatory parameter '%s' was not sent, was empty/null, or malformed.
* Param '%s' or '%s' must be sent, but both were empty/null!

#### -1103 UNKNOWN\_PARAM <a href="#id-1103-unknown_param" id="id-1103-unknown_param"></a>

* An unknown parameter was sent.
* each request requires at least one parameter. {Timestamp}.

#### -1104 UNREAD\_PARAMETERS <a href="#id-1104-unread_parameters" id="id-1104-unread_parameters"></a>

* Not all sent parameters were read.
* Not all sent parameters were read; read '%s' parameter(s) but was sent '%s'.

#### -1105 PARAM\_EMPTY <a href="#id-1105-param_empty" id="id-1105-param_empty"></a>

* A parameter was empty.
* Parameter '%s' was empty.

#### -1106 PARAM\_NOT\_REQUIRED <a href="#id-1106-param_not_required" id="id-1106-param_not_required"></a>

* A parameter was sent when not required.
* Parameter '%s' sent when not required.

#### -1111 BAD\_PRECISION <a href="#id-1111-bad_precision" id="id-1111-bad_precision"></a>

* Precision is over the maximum defined for this asset.

#### -1112 NO\_DEPTH <a href="#id-1112-no_depth" id="id-1112-no_depth"></a>

* No orders on book for symbol.

#### -1116 INVALID\_ORDER\_TYPE <a href="#id-1116-invalid_order_type" id="id-1116-invalid_order_type"></a>

* Invalid orderType.
* In the current version , ORDER\_TYPE values is LIMIT or MARKET.

#### -1117 INVALID\_SIDE <a href="#id-1117-invalid_side" id="id-1117-invalid_side"></a>

* Invalid side.
* ORDER\_SIDE values is BUY or SELL

#### -1118 EMPTY\_NEW\_CL\_ORD\_ID <a href="#id-1118-empty_new_cl_ord_id" id="id-1118-empty_new_cl_ord_id"></a>

* New client order ID was empty.

#### -1121 BAD\_SYMBOL <a href="#id-1121-bad_symbol" id="id-1121-bad_symbol"></a>

* Invalid symbol.

#### -1136 ORDER\_VOLUME\_TOO\_SMALL <a href="#id-1136-order_volume_too_small" id="id-1136-order_volume_too_small"></a>

* Order volume lower than the minimum.

#### -1138 ORDER\_PRICE\_WAVE\_EXCEED <a href="#id-1138-order_price_wave_exceed" id="id-1138-order_price_wave_exceed"></a>

* Order price exceeds permissible range.

#### -1139 ORDER\_NOT\_SUPPORT\_MARKET <a href="#id-1139-order_not_support_market" id="id-1139-order_not_support_market"></a>

* This trading pair does not support market trading

#### -1145 ORDER\_NOT\_SUPPORT\_CANCELLATION <a href="#id-1145-order_not_support_cancellation" id="id-1145-order_not_support_cancellation"></a>

* This order type does not support cancellation

#### -2013 NO\_SUCH\_ORDER <a href="#id-2013-no_such_order" id="id-2013-no_such_order"></a>

* Order does not exist.

#### -2015 REJECTED\_CH\_KEY <a href="#id-2015-rejected_ch_key" id="id-2015-rejected_ch_key"></a>

* Invalid API-key, IP, or permissions for action.

#### -2016 EXCHANGE\_LOCK <a href="#id-2016-exchange_lock" id="id-2016-exchange_lock"></a>

* Transaction is frozen

#### -2017 BALANCE\_NOT\_ENOUGH <a href="#id-2017-balance_not_enough" id="id-2017-balance_not_enough"></a>

* Insufficient balance


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://whitepaper.nomoex.com/api-documentation/errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
